libgtksourceviewmm: gtksourceview::SourceTagStyle Class Reference

# gtksourceview::SourceTagStyle Class Reference

a styling attribute that can be applied to to a SourceTag More...

`#include <sourcetagstyle.h>`

List of all members.

## Public Types
typedef SourceTagStyle | CppObjectType
typedef GtkSourceTagStyle | BaseObjectType
## Public Member Functions
| SourceTagStyle (GtkSourceTagStyle *gobject, bool make_a_copy=true)
| SourceTagStyle (const SourceTagStyle &other)
SourceTagStyle & | operator= (const SourceTagStyle &other)
| ~SourceTagStyle ()
void | swap (SourceTagStyle &other)
GtkSourceTagStyle * | gobj ()
| Provides access to the underlying C instance.
const GtkSourceTagStyle * | gobj () const
| Provides access to the underlying C instance.
GtkSourceTagStyle * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| SourceTagStyle ()
| constructor
accessors to indicate if the style is default or not
bool | get_is_default () const
void | set_is_default (const bool &value)
accessors of the style's mask property
guint | get_mask () const
void | set_mask (const guint &value)
accessors of the style's foreground property
Gdk::Color | get_foreground () const
void | set_foreground (const Gdk::Color &value)
accessors of the style's background property
Gdk::Color | get_background () const
void | set_background (const Gdk::Color &value)
accessors of the style's italic property
bool | get_italic () const
void | set_italic (const bool &value)
accessor of the style's bold property
bool | get_bold () const
void | set_bold (const bool &value)
accessor of the style's underline property
bool | get_underline () const
void | set_underline (const bool &value)
accessor of the style's strikethrough property
bool | get_strikethrough () const
void | set_strikethrough (const bool &value)
## Static Public Member Functions
static GType | get_type () G_GNUC_CONST
## Protected Attributes
GtkSourceTagStyle * | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (SourceTagStyle &lhs, SourceTagStyle &rhs)
gtksourceview::SourceTagStyle | wrap (GtkSourceTagStyle *object, bool take_copy=false)

## Detailed Description

a styling attribute that can be applied to to a SourceTag

## Member Typedef Documentation

typedef SourceTagStyle gtksourceview::SourceTagStyle::CppObjectType

typedef GtkSourceTagStyle gtksourceview::SourceTagStyle::BaseObjectType

## Constructor & Destructor Documentation

gtksourceview::SourceTagStyle::SourceTagStyle | ( | GtkSourceTagStyle * | gobject,
|  | bool | make_a_copy = `true` |
| ) |  |  | `[explicit]`

gtksourceview::SourceTagStyle::SourceTagStyle | ( | const SourceTagStyle & | other | ) |

gtksourceview::SourceTagStyle::~SourceTagStyle | ( |  | ) |

gtksourceview::SourceTagStyle::SourceTagStyle | ( |  | ) |

constructor

constructor

## Member Function Documentation

static GType gtksourceview::SourceTagStyle::get_type | ( |  | ) | `[static]`

SourceTagStyle& gtksourceview::SourceTagStyle::operator= | ( | const SourceTagStyle & | other | ) |

void gtksourceview::SourceTagStyle::swap | ( | SourceTagStyle & | other | ) |

Referenced by swap().

GtkSourceTagStyle* gtksourceview::SourceTagStyle::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

References gobject_.

const GtkSourceTagStyle* gtksourceview::SourceTagStyle::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

References gobject_.

GtkSourceTagStyle* gtksourceview::SourceTagStyle::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool gtksourceview::SourceTagStyle::get_is_default | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_is_default | ( | const bool & | value | ) |

guint gtksourceview::SourceTagStyle::get_mask | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_mask | ( | const guint & | value | ) |

Gdk::Color gtksourceview::SourceTagStyle::get_foreground | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_foreground | ( | const Gdk::Color & | value | ) |

Gdk::Color gtksourceview::SourceTagStyle::get_background | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_background | ( | const Gdk::Color & | value | ) |

bool gtksourceview::SourceTagStyle::get_italic | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_italic | ( | const bool & | value | ) |

bool gtksourceview::SourceTagStyle::get_bold | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_bold | ( | const bool & | value | ) |

bool gtksourceview::SourceTagStyle::get_underline | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_underline | ( | const bool & | value | ) |

bool gtksourceview::SourceTagStyle::get_strikethrough | ( |  | ) | const

void gtksourceview::SourceTagStyle::set_strikethrough | ( | const bool & | value | ) |

## Friends And Related Function Documentation

void swap | ( | SourceTagStyle & | lhs,
|  | SourceTagStyle & | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

References swap().

gtksourceview::SourceTagStyle wrap | ( | GtkSourceTagStyle * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

GtkSourceTagStyle* gtksourceview::SourceTagStyle::gobject_`[protected]`

Referenced by gobj().

The documentation for this class was generated from the following file:

- sourcetagstyle.h